
Redmine - Feature #4210

View subproject description in Projects page

2009-11-12 16:49 - David Bachmann

Status: Closed Start date: 2009-11-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Currently (v0.8.5) only 'parents' projects have their description listed in the Projects view.

It would be great to see it for subprojects too (or to have setting allowing to see it for subprojects)

History

#1 - 2009-11-13 15:49 - RedminePro Yang

- File show_sub_project_desc_for_0.8.5.diff added

The attached patch may help you to show the sub project description for v0.8.5.

#2 - 2009-11-17 12:17 - David Bachmann

Hi Rongde,

Thank you, your patch is working as expected.

But in my case (0.8.5.stable on FreeBSD), the file was app/views/projects/index.rhtml

#3 - 2009-11-17 18:26 - Adam Piotr Żochowski

- File app.views.projects.index.diff added

Visually we tried to keep subproject look much same as main projects (this means also with h3 tags), with only slight padding (blockquote).

Patch attached (almost same code, minor visual difference).

Kind regards

Adam Żochowski

#4 - 2010-02-03 16:29 - David Bachmann

- Status changed from New to Resolved

This issue is resolved in Redmine 0.9.1

#5 - 2010-02-04 00:30 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Fixed

Files

show_sub_project_desc_for_0.8.5.diff 856 Bytes 2009-11-13 RedminePro Yang

app.views.projects.index.diff 1010 Bytes 2009-11-17 Adam Piotr Żochowski
